// menus 
function vw_bakers_menu_open_nav() {
    window.vw_bakers_responsiveMenu=true;
    jQuery(".sidenav").addClass('show');
}
function vw_bakers_menu_close_nav() {
    window.vw_bakers_responsiveMenu=false;
    jQuery(".sidenav").removeClass('show');
}
jQuery(function($){
    "use strict";
    jQuery('.main-menu > ul').superfish({
        delay: 500,
        animation: {opacity:'show',height:'show'},
        speed: 'fast'
    });
});

jQuery(document).ready(function () {
    window.vw_bakers_currentfocus=null;
    vw_bakers_checkfocusdElement();
    var vw_bakers_body = document.querySelector('body');
    vw_bakers_body.addEventListener('keyup', vw_bakers_check_tab_press);
    var vw_bakers_gotoHome = false;
    var vw_bakers_gotoClose = false;
    window.vw_bakers_responsiveMenu=false;
    function vw_bakers_checkfocusdElement(){
        if(window.vw_bakers_currentfocus=document.activeElement.className){
            window.vw_bakers_currentfocus=document.activeElement.className;
        }
    }
    function vw_bakers_check_tab_press(e) {
        "use strict";
        // pick passed event or global event object if passed one is empty
        e = e || event;
        var activeElement;

        if(window.innerWidth < 999){
        if (e.keyCode == 9) {
            if(window.vw_bakers_responsiveMenu){
            if (!e.shiftKey) {
                if(vw_bakers_gotoHome) {
                    jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
                }
            }
            if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
                vw_bakers_gotoHome = true;
            } else {
                vw_bakers_gotoHome = false;
            }

        }else{

            if(window.vw_bakers_currentfocus=="responsivetoggle"){
                jQuery( "" ).focus();
            }}}
        }
        if (e.shiftKey && e.keyCode == 9) {
        if(window.innerWidth < 999){
            if(window.vw_bakers_currentfocus=="header-search"){
                jQuery(".responsivetoggle").focus();
            }else{
                if(window.vw_bakers_responsiveMenu){
                if(vw_bakers_gotoClose){
                    jQuery("a.closebtn.mobile-menu").focus();
                }
                if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
                    vw_bakers_gotoClose = true;
                } else {
                    vw_bakers_gotoClose = false;
                }

            }else{

            if(window.vw_bakers_responsiveMenu){
            }}}}
        }
        vw_bakers_checkfocusdElement();
    }
});

jQuery('document').ready(function($){
	// preloader
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);

  // Sticky Header
  $(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});
});

/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});

/*sticky copyright*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.copyright-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('copyright-fixed');
  } else {
    sticky.classList.remove('copyright-fixed');
  }
});

// Scroller
jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

// search
jQuery(document).ready(function () {
    function vw_bakers_search_loop_focus(element) {
    var vw_bakers_focus = element.find('select, input, textarea, button, a[href]');
    var vw_bakers_firstFocus = vw_bakers_focus[0];  
    var vw_bakers_lastFocus = vw_bakers_focus[vw_bakers_focus.length - 1];
    var KEYCODE_TAB = 9;

    element.on('keydown', function vw_bakers_search_loop_focus(e) {
      var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

      if (!isTabPressed) { 
        return; 
      }

      if ( e.shiftKey ) /* shift + tab */ {
        if (document.activeElement === vw_bakers_firstFocus) {
          vw_bakers_lastFocus.focus();
            e.preventDefault();
          }
        } else /* tab */ {
        if (document.activeElement === vw_bakers_lastFocus) {
          vw_bakers_firstFocus.focus();
            e.preventDefault();
          }
        }
    });
  }
  jQuery('.search-box span a').click(function(){
      jQuery(".serach_outer").slideDown(1000);
      vw_bakers_search_loop_focus(jQuery('.serach_outer'));
  });

  jQuery('.closepop a').click(function(){
      jQuery(".serach_outer").slideUp(1000);
  });
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const vw_bakers_progressBar =
        document.getElementById("vw_bakers_elemento_progress_bar");
    if (!vw_bakers_progressBar) return;
    window.addEventListener("scroll", function () {
        const vw_bakers_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const vw_bakers_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const vw_bakers_scrolled =
            (vw_bakers_scrollTop / vw_bakers_height) * 100;
        vw_bakers_progressBar.style.width =
            vw_bakers_scrolled + "%";
    });
});